curl --request GET \
--url https://api.threetone.in/v1/convai/agent-testing/{test_id}import requests
url = "https://api.threetone.in/v1/convai/agent-testing/{test_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.threetone.in/v1/convai/agent-testing/{test_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"from_conversation_metadata": {
"conversation_id": "<string>",
"agent_id": "<string>",
"branch_id": "<string>",
"workflow_node_id": "<string>",
"original_agent_reply": [
{
"role": "user",
"time_in_call_secs": 123,
"agent_metadata": {
"agent_id": "<string>",
"branch_id": "<string>",
"workflow_node_id": "<string>",
"version_id": "<string>"
},
"message": "<string>",
"multivoice_message": {
"parts": [
{
"text": "<string>",
"voice_label": "<string>",
"time_in_call_secs": 123
}
]
},
"tool_calls": [
{
"request_id": "<string>",
"tool_name": "<string>",
"params_as_json": "<string>",
"tool_has_been_called": true,
"type": "system",
"tool_details": {
"method": "<string>",
"url": "<string>",
"type": "webhook",
"headers": {},
"path_params": {},
"query_params": {},
"body": "<string>"
}
}
],
"tool_results": [
{
"request_id": "<string>",
"tool_name": "<string>",
"result_value": "<string>",
"is_error": true,
"tool_has_been_called": true,
"is_blocked": false,
"tool_latency_secs": 0,
"error_type": "",
"raw_error_message": "",
"dynamic_variable_updates": [
{
"variable_name": "<string>",
"old_value": "<string>",
"new_value": "<string>",
"updated_at": 123,
"tool_name": "<string>",
"tool_request_id": "<string>"
}
],
"type": "client"
}
],
"feedback": {
"score": "like",
"time_in_call_secs": 123
},
"llm_override": "<string>",
"producing_llm": "<string>",
"conversation_turn_metrics": {
"metrics": {},
"convai_asr_provider": "<string>",
"convai_tts_model": "<string>",
"convai_tts_cascade": "<string>"
},
"rag_retrieval_info": {
"chunks": [
{
"document_id": "<string>",
"chunk_id": "<string>",
"vector_distance": 123
}
],
"embedding_model": "e5_mistral_7b_instruct",
"retrieval_query": "<string>",
"rag_latency_secs": 123,
"used_chunk_ids": [
"<string>"
]
},
"llm_usage": {
"model_usage": {}
},
"interrupted": false,
"ignored_as_backchannel": false,
"original_message": "<string>",
"reasoning": [
{
"summary": "<string>",
"provider_redact": false
}
],
"source_medium": "audio",
"source_event_id": 123,
"used_static_kb_document_ids": [
"<string>"
],
"user_identifier": "<string>",
"triggered_guardrails": [
{
"guardrail_type": "custom",
"guardrail_name": "<string>"
}
]
}
]
},
"dynamic_variables": {},
"chat_history": [
{
"role": "user",
"time_in_call_secs": 123,
"agent_metadata": {
"agent_id": "<string>",
"branch_id": "<string>",
"workflow_node_id": "<string>",
"version_id": "<string>"
},
"message": "<string>",
"multivoice_message": {
"parts": [
{
"text": "<string>",
"voice_label": "<string>",
"time_in_call_secs": 123
}
]
},
"tool_calls": [
{
"request_id": "<string>",
"tool_name": "<string>",
"params_as_json": "<string>",
"tool_has_been_called": true,
"type": "system",
"tool_details": {
"method": "<string>",
"url": "<string>",
"type": "webhook",
"headers": {},
"path_params": {},
"query_params": {},
"body": "<string>"
}
}
],
"tool_results": [
{
"request_id": "<string>",
"tool_name": "<string>",
"result_value": "<string>",
"is_error": true,
"tool_has_been_called": true,
"is_blocked": false,
"tool_latency_secs": 0,
"error_type": "",
"raw_error_message": "",
"dynamic_variable_updates": [
{
"variable_name": "<string>",
"old_value": "<string>",
"new_value": "<string>",
"updated_at": 123,
"tool_name": "<string>",
"tool_request_id": "<string>"
}
],
"type": "client"
}
],
"feedback": {
"score": "like",
"time_in_call_secs": 123
},
"llm_override": "<string>",
"producing_llm": "<string>",
"conversation_turn_metrics": {
"metrics": {},
"convai_asr_provider": "<string>",
"convai_tts_model": "<string>",
"convai_tts_cascade": "<string>"
},
"rag_retrieval_info": {
"chunks": [
{
"document_id": "<string>",
"chunk_id": "<string>",
"vector_distance": 123
}
],
"embedding_model": "e5_mistral_7b_instruct",
"retrieval_query": "<string>",
"rag_latency_secs": 123,
"used_chunk_ids": [
"<string>"
]
},
"llm_usage": {
"model_usage": {}
},
"interrupted": false,
"ignored_as_backchannel": false,
"original_message": "<string>",
"reasoning": [
{
"summary": "<string>",
"provider_redact": false
}
],
"source_medium": "audio",
"source_event_id": 123,
"used_static_kb_document_ids": [
"<string>"
],
"user_identifier": "<string>",
"triggered_guardrails": [
{
"guardrail_type": "custom",
"guardrail_name": "<string>"
}
]
}
],
"conversation_initiation_source": "unknown",
"environment": "<string>",
"type": "llm",
"success_conditions": [
"<string>"
],
"success_examples": [
{
"response": "<string>",
"type": "success"
}
],
"failure_examples": [
{
"response": "<string>",
"type": "failure"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Agent Response Test By Id
Gets an agent response test by ID.
curl --request GET \
--url https://api.threetone.in/v1/convai/agent-testing/{test_id}import requests
url = "https://api.threetone.in/v1/convai/agent-testing/{test_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.threetone.in/v1/convai/agent-testing/{test_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"from_conversation_metadata": {
"conversation_id": "<string>",
"agent_id": "<string>",
"branch_id": "<string>",
"workflow_node_id": "<string>",
"original_agent_reply": [
{
"role": "user",
"time_in_call_secs": 123,
"agent_metadata": {
"agent_id": "<string>",
"branch_id": "<string>",
"workflow_node_id": "<string>",
"version_id": "<string>"
},
"message": "<string>",
"multivoice_message": {
"parts": [
{
"text": "<string>",
"voice_label": "<string>",
"time_in_call_secs": 123
}
]
},
"tool_calls": [
{
"request_id": "<string>",
"tool_name": "<string>",
"params_as_json": "<string>",
"tool_has_been_called": true,
"type": "system",
"tool_details": {
"method": "<string>",
"url": "<string>",
"type": "webhook",
"headers": {},
"path_params": {},
"query_params": {},
"body": "<string>"
}
}
],
"tool_results": [
{
"request_id": "<string>",
"tool_name": "<string>",
"result_value": "<string>",
"is_error": true,
"tool_has_been_called": true,
"is_blocked": false,
"tool_latency_secs": 0,
"error_type": "",
"raw_error_message": "",
"dynamic_variable_updates": [
{
"variable_name": "<string>",
"old_value": "<string>",
"new_value": "<string>",
"updated_at": 123,
"tool_name": "<string>",
"tool_request_id": "<string>"
}
],
"type": "client"
}
],
"feedback": {
"score": "like",
"time_in_call_secs": 123
},
"llm_override": "<string>",
"producing_llm": "<string>",
"conversation_turn_metrics": {
"metrics": {},
"convai_asr_provider": "<string>",
"convai_tts_model": "<string>",
"convai_tts_cascade": "<string>"
},
"rag_retrieval_info": {
"chunks": [
{
"document_id": "<string>",
"chunk_id": "<string>",
"vector_distance": 123
}
],
"embedding_model": "e5_mistral_7b_instruct",
"retrieval_query": "<string>",
"rag_latency_secs": 123,
"used_chunk_ids": [
"<string>"
]
},
"llm_usage": {
"model_usage": {}
},
"interrupted": false,
"ignored_as_backchannel": false,
"original_message": "<string>",
"reasoning": [
{
"summary": "<string>",
"provider_redact": false
}
],
"source_medium": "audio",
"source_event_id": 123,
"used_static_kb_document_ids": [
"<string>"
],
"user_identifier": "<string>",
"triggered_guardrails": [
{
"guardrail_type": "custom",
"guardrail_name": "<string>"
}
]
}
]
},
"dynamic_variables": {},
"chat_history": [
{
"role": "user",
"time_in_call_secs": 123,
"agent_metadata": {
"agent_id": "<string>",
"branch_id": "<string>",
"workflow_node_id": "<string>",
"version_id": "<string>"
},
"message": "<string>",
"multivoice_message": {
"parts": [
{
"text": "<string>",
"voice_label": "<string>",
"time_in_call_secs": 123
}
]
},
"tool_calls": [
{
"request_id": "<string>",
"tool_name": "<string>",
"params_as_json": "<string>",
"tool_has_been_called": true,
"type": "system",
"tool_details": {
"method": "<string>",
"url": "<string>",
"type": "webhook",
"headers": {},
"path_params": {},
"query_params": {},
"body": "<string>"
}
}
],
"tool_results": [
{
"request_id": "<string>",
"tool_name": "<string>",
"result_value": "<string>",
"is_error": true,
"tool_has_been_called": true,
"is_blocked": false,
"tool_latency_secs": 0,
"error_type": "",
"raw_error_message": "",
"dynamic_variable_updates": [
{
"variable_name": "<string>",
"old_value": "<string>",
"new_value": "<string>",
"updated_at": 123,
"tool_name": "<string>",
"tool_request_id": "<string>"
}
],
"type": "client"
}
],
"feedback": {
"score": "like",
"time_in_call_secs": 123
},
"llm_override": "<string>",
"producing_llm": "<string>",
"conversation_turn_metrics": {
"metrics": {},
"convai_asr_provider": "<string>",
"convai_tts_model": "<string>",
"convai_tts_cascade": "<string>"
},
"rag_retrieval_info": {
"chunks": [
{
"document_id": "<string>",
"chunk_id": "<string>",
"vector_distance": 123
}
],
"embedding_model": "e5_mistral_7b_instruct",
"retrieval_query": "<string>",
"rag_latency_secs": 123,
"used_chunk_ids": [
"<string>"
]
},
"llm_usage": {
"model_usage": {}
},
"interrupted": false,
"ignored_as_backchannel": false,
"original_message": "<string>",
"reasoning": [
{
"summary": "<string>",
"provider_redact": false
}
],
"source_medium": "audio",
"source_event_id": 123,
"used_static_kb_document_ids": [
"<string>"
],
"user_identifier": "<string>",
"triggered_guardrails": [
{
"guardrail_type": "custom",
"guardrail_name": "<string>"
}
]
}
],
"conversation_initiation_source": "unknown",
"environment": "<string>",
"type": "llm",
"success_conditions": [
"<string>"
],
"success_examples": [
{
"response": "<string>",
"type": "success"
}
],
"failure_examples": [
{
"response": "<string>",
"type": "failure"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.
Path Parameters
The id of a chat response test. This is returned on test creation.
"TeaqRRdTcIfIu2i7BYfT"
Response
Successful Response
- GetResponseUnitTestResponseModel
- GetToolCallUnitTestResponseModel
- GetSimulationTestResponseModel
Metadata of a conversation this test was created from (if applicable).
Show child attributes
Show child attributes
Dynamic variables to replace in the agent config during testing
200Show child attributes
Show child attributes
Simulate the test as if the conversation originated from this channel.
unknown, android_sdk, node_js_sdk, react_native_sdk, react_sdk, js_sdk, python_sdk, widget, sip_trunk, twilio, exotel, genesys, avaya, audiocodes, swift_sdk, whatsapp, twilio_sms, flutter_sdk, zendesk_integration, slack_integration, telegram_integration, intercom_integration, freshdesk_integration, salesforce_integration, template_preview, genesys_bot_connector, subagent_tool The environment to resolve environment-specific variable values against when running this test (URL, headers, auth connections). If not provided, defaults to 'production'. For simulation tests, simulation_environment takes precedence when set.
"llm"List of prompts that evaluate whether the agent's response is successful. If provided, all criteria are evaluated and merged into a final result. Capped at the maximum number of evaluation criteria.
30Non-empty list of example responses that should be considered successful
5Show child attributes
Show child attributes
Non-empty list of example responses that should be considered failures
5Show child attributes
Show child attributes